%define fontdir %{_datadir}/fonts/malayalam

Name: smc-fonts-malayalam
Version: 0.5.2
Release: 3%{?dist}
License: GPLv2+
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: User Interface/X
Summary: Malayalam free true type fonts
URL: http://suruma.sarovar.org/
Provides: fonts-malayalam
Conflicts: lohit-fonts-malayalam
 
%description
This package contains Rachana, Meera, MalOtf and Suruma free true type fonts
The font is contributed by Rachana Akshara Vedi and
Packaged by Rajeesh K Nambiar(Rebuilt by Jinesh K J for fedora 7).

%prep
%setup -q -n %{name}-%{version}

%build
echo "Nothing to do in Build."

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{fontdir}
install -d %{buildroot}%{_datadir}/man/man1
install -d %{buildroot}%{_sysconfdir}/defoma/hints
install -d %{buildroot}%{_sysconfdir}/fonts/conf.d
install -m 0644 -p *.ttf %{buildroot}%{fontdir}
install -m 0644 -p smc-fonts.1 %{buildroot}%{_datadir}/man/man1
install -m 0644 -p smc-fonts-malayalam.hints %{buildroot}%{_sysconfdir}/defoma/hints
install -m 0644 -p smc-fonts-malayalam.conf %{buildroot}%{_sysconfdir}/fonts/conf.d

%clean
rm -rf %{buildroot}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir} 
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}
  fi
fi

%files
%defattr(-,root,root,-)
#%doc README
%dir %{fontdir}
%{fontdir}/*.ttf
%{_datadir}/man/man1/smc-fonts.1.gz
%config %{_sysconfdir}/defoma/hints/smc-fonts-malayalam.hints
%config %{_sysconfdir}/fonts/conf.d/smc-fonts-malayalam.conf

%changelog
* Wed Jan 30 2008 Jinesh K J <jinesh.k@gmail.com> - 0.5.2-3.fc7
- Rebuild for fedora 7.
* Mon Jan 28 2008 Rajeesh K Nambiar <rajeeshknambiar@rgmail.com> - 0.5.2-3.fc8
- SPEC file and initial packaging
